Skip to main content
PUT
Update dashboard

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
write
Grants write access

Path Parameters

dashboard_token
string
required

Body

application/json

Update a Dashboard.

title
string

The title of the Dashboard.

widgets
object[] | null

The complete replacement list of widgets for the Dashboard. Omit widgets or send null to preserve every existing widget. When provided, include every report-backed and free text widget to keep; an empty array removes all widgets. Report-backed widgets use widgetable_token. Free text widgets use widgetable_type set to free_text and require content.

saved_filter_tokens
string[] | null

The tokens of the Saved Filters used in the Dashboard.

date_bin
enum<string>

Determines how to group costs in the Dashboard.

Available options:
cumulative,
day,
week,
month
date_interval
enum<string> | null

Determines the date range in the Dashboard. Incompatible with 'start_date' and 'end_date' parameters.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
next_month,
next_3_months,
next_6_months,
next_12_months,
year_to_date,
last_3_days,
last_14_days,
start_date
string | null

The start date for the date range for costs in the Dashboard. ISO 8601 Formatted. Incompatible with 'date_interval' parameter.

end_date
string | null

The end date for the date range for costs in the Dashboard. ISO 8601 Formatted. Incompatible with 'date_interval' parameter.

workspace_token
string

The token of the Workspace the Dashboard belongs to. Required when updating widgets if the API token is associated with multiple Workspaces.

Response

Dashboard model

token
string
required
Example:

"dshbrd_abcd1234567890"

title
string
required

The title of the Dashboard.

Example:

"AWS Dashboard"

widgets
object[]
required

The widgets displayed in the Dashboard. Report-backed widgets include widgetable_token and settings. Free text widgets include widgetable_type set to free_text and content, omit widgetable_token, and include settings when a grid layout is persisted.

saved_filter_tokens
string[]
required

The tokens of the Saved Filters used in the Dashboard.

date_bin
enum<string> | null
required

Determines how to group costs in the Dashboard.

Available options:
cumulative,
day,
week,
month
date_interval
enum<string> | null
required

Determines the date range for Reports in the Dashboard. Guaranteed to be set to 'custom' if 'start_date' and 'end_date' are set.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
next_month,
next_3_months,
next_6_months,
next_12_months,
year_to_date,
last_3_days,
last_14_days
created_at
string
required

The date and time, in UTC, the Dashboard was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Dashboard was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Dashboard is a part of.

Example:

"wrkspc_abcd1234567890"

start_date
string | null

The start date for the date range for Reports in the Dashboard. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2023-08-04"

end_date
string | null

The end date for the date range for Reports in the Dashboard. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2023-09-04"